Sync apt-xapian-index 0.25 (main) from Debian testing (main)

Bug #548949 reported by Michael Vogt on 2010-03-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apt-xapian-index (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/apt-xapian-index
 status confirmed
 importance wishlist
 subscribe ubuntu-archive
 done

Please sync apt-xapian-index 0.25 (main) from Debian testing (main)

This mostly silences some python-apt deprecation warnings and is
important because we run update-apt-xapian-index in cron
(LP: 548665).

Make sure to sync 0.25 and not 0.26 as the later contians a
imcompabile change, but this one here is afe.

Thanks,
 Michael

Changelog entries since current lucid version 0.22:

apt-xapian-index (0.25) unstable; urgency=low

  * Upgrade to the new python-apt API. Thanks Julian Andres Klode for the
    patch. Closes: #572052

 -- Enrico Zini <email address hidden> Mon, 01 Mar 2010 11:56:55 +0000

apt-xapian-index (0.24) unstable; urgency=low

  * Fixed deprecation warnings, thanks to Matt Kraai. Closes: #570219
  * Fixed more deprecation warnings.
  * Disable all warnings when run with --quiet. Not sure it is a good idea,
    not sure it is a bad idea either.

 -- Enrico Zini <email address hidden> Sun, 28 Feb 2010 23:28:45 +0000

apt-xapian-index (0.23) unstable; urgency=low

  * Applied patch by Matt Kraai. Closes: #547074
  * Better output for initial runs. Closes: #547126
  * Check for ionice before using it. Closes: #562078
  * Updated Standards-version. No changes needed.

 -- Enrico Zini <email address hidden> Sun, 14 Feb 2010 18:51:21 +0100

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkus4/8ACgkQliSD4VZixzRGVgCfS2o2DM5dvfeZGE/C6wXSWzO/
FQsAnjfOnSZJ5NxquQCdOyWqxTtIvE7k
=lJgK
-----END PGP SIGNATURE-----

Jamie Strandboge (jdstrand) wrote :

[Updating] apt-xapian-index (0.22 [Ubuntu] < 0.25 [Debian])
 * Trying to add apt-xapian-index...
2010-03-26 17:25:39 INFO - <apt-xapian-index_0.25.dsc: downloading from http://ftp.debian.org/debian/>
2010-03-26 17:25:39 INFO - <apt-xapian-index_0.25.tar.gz: downloading from http://ftp.debian.org/debian/>
I: apt-xapian-index [main] -> apt-xapian-index_0.22 [main].

Changed in apt-xapian-index (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers